build: stop on failed deps.bash

Apparently some versions of bash do the ||exit implicitly
when in set -e mode, but others do not.  ???

R=gri
CC=golang-dev
https://golang.org/cl/5285043
diff --git a/src/make.bash b/src/make.bash
index 57a5707..0138525 100755
--- a/src/make.bash
+++ b/src/make.bash
@@ -69,7 +69,7 @@
 (
 	cd "$GOROOT"/src/pkg;
 	bash deps.bash	# do this here so clean.bash will work in the pkg directory
-)
+) || exit 1
 bash "$GOROOT"/src/clean.bash
 
 # pkg builds libcgo and the Go programs in cmd.